[Fedora-livecd-list] 3 commits - tools/livecd-iso-to-disk.sh

Brian C. Lane bcl at fedoraproject.org
Fri Mar 11 01:29:04 UTC 2011


 tools/livecd-iso-to-disk.sh |   22 ++++++++++++++++++++--
 1 file changed, 20 insertions(+), 2 deletions(-)

New commits:
commit 1099cf09f0c7a80bf4116499b192be288eaff983
Author: Frederick Grose <fgrose at gmail.com>
Date:   Thu Mar 10 16:57:55 2011 -0800

    Create an ext4 filesystem by default for home.img

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index c845a3d..8cdf86e 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -1152,14 +1152,14 @@ if [ "$homesizemb" -gt 0 -a -z "$skipcopy" ]; then
             cryptsetup luksOpen $loop EncHomeFoo
             setupworked=$?
         done
-        mke2fs -j /dev/mapper/EncHomeFoo
+        mkfs.ext4 -j /dev/mapper/EncHomeFoo
         tune2fs -c0 -i0 -ouser_xattr,acl /dev/mapper/EncHomeFoo
         sleep 2
         cryptsetup luksClose EncHomeFoo
         losetup -d $loop
     else
         echo "Formatting unencrypted /home"
-        mke2fs -F -j $TGTMNT/$LIVEOS/$HOMEFILE
+        mkfs.ext4 -F -j $TGTMNT/$LIVEOS/$HOMEFILE
         tune2fs -c0 -i0 -ouser_xattr,acl $TGTMNT/$LIVEOS/$HOMEFILE
     fi
 fi


commit 67a7369c163d158a062d49f45590a8812846920b
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Mar 10 16:55:03 2011 -0800

    Add error checks to home.img creation

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index d90c354..c845a3d 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -1129,9 +1129,17 @@ if [ "$homesizemb" -gt 0 -a -z "$skipcopy" ]; then
     else
         dd if=/dev/null of=$TGTMNT/$LIVEOS/$HOMEFILE count=1 bs=1M seek=$homesizemb
     fi
+    if [ $? -gt 0 ]; then
+        echo "Error creating $TGTMNT/$LIVEOS/$HOMEFILE"
+        exitclean
+    fi
     if [ -n "$cryptedhome" ]; then
         loop=$(losetup -f)
         losetup $loop $TGTMNT/$LIVEOS/$HOMEFILE
+        if [ $? -gt 0 ]; then
+            echo "Error setting up $TGTMNT/$LIVEOS/$HOMEFILE on $loop"
+            exitclean
+        fi
         setupworked=1
         until [ ${setupworked} == 0 ]; do
             echo "Encrypting persistent /home"


commit bdebbf99827346708e1183c54d09344f72360e12
Author: Frederick Grose <fgrose at gmail.com>
Date:   Thu Mar 10 16:17:35 2011 -0800

    livecd-iso-to-disk Detect more disk space issues
    
    Trap oversized ext3fs.img request with --skipcompress on VFAT devices
    
    Also, include /boot/olpc.fth in the install size estimate for the
    --xo option.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index b7cee72..d90c354 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -872,6 +872,15 @@ if [[ -n $skipcompress ]] && [[ -s $SRCMNT/LiveOS/squashfs.img ]]; then
     if mount -o loop $SRCMNT/LiveOS/squashfs.img $SRCMNT; then
         livesize=($(du -B 1M --apparent-size $SRCMNT/LiveOS/ext3fs.img))
         umount $SRCMNT
+        if ((livesize > 2048)) &&  [[ vfat == $TGTFS ]]; then
+            echo "
+            An uncompressed image size greater than 2048 MB is not suitable
+            for a VFAT-formatted device.  The compressed SquashFS will be
+            copied to the target device.
+            "
+            skipcompress=""
+            livesize=0
+        fi
     else
         echo "WARNING: --skipcompress or --xo was specified but the
         currently-running kernel can not mount the SquashFS from the source
@@ -886,6 +895,7 @@ if [[ live == $srctype ]]; then
     [[ -z $skipcompress ]] && sources+=" $SRCMNT/LiveOS/squashfs.img"
     sources+=" $SRCMNT/isolinux $SRCMNT/syslinux"
     [[ -n $efi ]] && sources+=" $SRCMNT/EFI/boot"
+    [[ -n $xo ]] && sources+=" $SRCMNT/boot/olpc.fth"
     duTable=($(du -c -B 1M "$thisScriptpath" $sources 2> /dev/null))
     ((livesize += ${duTable[*]: -2:1}))
 fi




More information about the livecd mailing list